### Hierarchy

- CanvasImageData
  - CanvasRenderingContext2D

## Index

### Methods

- createImageData
- getImageData
- putImageData

## Methods

### createImageData

- createImageData(sw: number, sh: number): ImageData
- createImageData(imagedata: ImageData): ImageData

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3043

  #### Parameters

  - ##### sw: number

  - ##### sh: number

  #### Returns ImageData

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3044

  #### Parameters

  - ##### imagedata: ImageData

  #### Returns ImageData

### getImageData

- getImageData(sx: number, sy: number, sw: number, sh: number): ImageData

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3045

  #### Parameters

  - ##### sx: number

  - ##### sy: number

  - ##### sw: number

  - ##### sh: number

  #### Returns ImageData

### putImageData

- putImageData(imagedata: ImageData, dx: number, dy: number): void
- putImageData(imagedata: ImageData, dx: number, dy: number, dirtyX: number, dirtyY: number, dirtyWidth: number, dirtyHeight: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3046

  #### Parameters

  - ##### imagedata: ImageData

  - ##### dx: number

  - ##### dy: number

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3047

  #### Parameters

  - ##### imagedata: ImageData

  - ##### dx: number

  - ##### dy: number

  - ##### dirtyX: number

  - ##### dirtyY: number

  - ##### dirtyWidth: number

  - ##### dirtyHeight: number

  #### Returns void

Generated using TypeDoc